%global package_name ImcSdk
%global package_lower imcsdk
%global sum Python SDK for Cisco IMC 

%global desc Python development kit for Cisco IMC

Name:           python-%{package_name}
Version:        0.9.6
Release:        2%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{package_name}
Source0:        https://pypi.python.org/packages/source/I/%{package_name}/%{package_lower}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%description
%{desc}

%package -n python3-%{package_name}
Summary:        %{sum}

%description -n python3-%{package_name}
%{desc}

%prep
%autosetup -n %{package_lower}-%{version}

# Kill egg-info in order to generate new SOURCES.txt
rm -rf ImcSdk.egg-info

%build
%{py3_build}

# generate doc
sphinx-apidoc -o docs/ imcsdk
# remove sphinx config.py from docs dir
rm docs/conf.py

%install
%{py3_install}

%check
# lhh - oops - src is missing a config file that tests use?
#%{__python3} setup.py test

%files -n python3-%{package_name}
%{python3_sitelib}/%{package_lower}/
%{python3_sitelib}/%{package_lower}*.egg-info
%doc README.rst
%doc docs/
%license LICENSE

%changelog
* Wed Jan 30 2019 Lon Hohberger <lon@redhat.com> 0.9.6-2
- Use python3 naming for package

* Tue Jan 29 2019 Lon Hohberger <lon@redhat.com> 0.9.6-1
- Update to 0.9.6
- Python3 only
- Fix naming in directories/etc.

* Tue Jan 12 2016 Brian Demers <brdemers@cisco.com> 0.7.2-3
- removing doc config.py from rpm 
* Mon Jan 11 2016 Brian Demers <brdemers@cisco.com> 0.7.2-2
- Updating to use a python2 package, to allow for future python3 
* Mon Dec 21 2015 Brian Demers <brdemers@cisco.com> 0.7.2-1
- Initial RPM release

